if [ "x$D" != "x" ] ; then
        exit 1
    fi

    if [ -f /etc/X11/Xusername ]; then
        # create the rootless X user, and add user to group tty, video, audio
        username=`cat /etc/X11/Xusername`
        adduser --disabled-password $username
        # FIXME: use addgroup if busybox addgroup is ready
        sed -i -e "s/^video:.*/&${username}/g" /etc/group
        sed -i -e "s/^tty:.*/&${username}/g" /etc/group
        sed -i -e "s/^audio:.*/&${username}/g" /etc/group
    fi
if test "x$D" != "x"; then
	OPT="-r $D"
else
	OPT="-s"
fi
update-rc.d $OPT xserver-nodm start 9 5 2 . stop 20 0 1 6 .
